Package org.a2aproject.sdk.spec
Record Class APIKeySecurityScheme
java.lang.Object
java.lang.Record
org.a2aproject.sdk.spec.APIKeySecurityScheme
- Record Components:
location- the location where the API key is sent (required)name- the name of the API key parameter (required)description- a human-readable description (optional)
- All Implemented Interfaces:
SecurityScheme
public record APIKeySecurityScheme(APIKeySecurityScheme.Location location, String name, @Nullable String description)
extends Record
implements SecurityScheme
API key security scheme for agent authentication.
This security scheme uses an API key that can be sent in a header, query parameter, or cookie to authenticate requests to the agent.
Corresponds to the OpenAPI "apiKey" security scheme type.
-
Nested Class Summary
Nested ClassesModifier and TypeClassDescriptionstatic classBuilder for constructing immutableAPIKeySecuritySchemeinstances.static enumRepresents the location of the API key. -
Field Summary
Fields -
Constructor Summary
ConstructorsConstructorDescriptionAPIKeySecurityScheme(APIKeySecurityScheme.Location location, String name, @Nullable String description) Compact constructor with validation. -
Method Summary
Modifier and TypeMethodDescriptionstatic APIKeySecurityScheme.Builderbuilder()Create a new Builder@Nullable StringReturns the value of thedescriptionrecord component.final booleanIndicates whether some other object is "equal to" this one.final inthashCode()Returns a hash code value for this object.location()Returns the value of thelocationrecord component.name()Returns the value of thenamerecord component.final StringtoString()Returns a string representation of this record class.type()Returns the type of the security scheme.
-
Field Details
-
TYPE
The security scheme type identifier for API key authentication.- See Also:
-
-
Constructor Details
-
APIKeySecurityScheme
public APIKeySecurityScheme(APIKeySecurityScheme.Location location, String name, @Nullable String description) Compact constructor with validation.- Parameters:
location- the location where the API key is sent (required)name- the name of the API key parameter (required)description- a human-readable description (optional)- Throws:
IllegalArgumentException- if location or name is null
-
-
Method Details
-
type
Description copied from interface:SecuritySchemeReturns the type of the security scheme.- Specified by:
typein interfaceSecurityScheme- Returns:
- the type of the security scheme.
-
builder
Create a new Builder- Returns:
- the builder
-
toString
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components. -
hashCode
public final int hashCode()Returns a hash code value for this object. The value is derived from the hash code of each of the record components. -
equals
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared withObjects::equals(Object,Object). -
location
Returns the value of thelocationrecord component.- Returns:
- the value of the
locationrecord component
-
name
Returns the value of thenamerecord component.- Returns:
- the value of the
namerecord component
-
description
Returns the value of thedescriptionrecord component.- Specified by:
descriptionin interfaceSecurityScheme- Returns:
- the value of the
descriptionrecord component
-